Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Maven Integration (M2E) » multi-module projects broken in 0.12.1?
multi-module projects broken in 0.12.1? [message #650806] Wed, 26 January 2011 11:31
Jordan Hein is currently offline Jordan Hein
Messages: 8
Registered: July 2009
Junior Member
Hi, We have been using m2eclipse for years now and love the work you guys have been doing. It makes our lives so much easier. Thank you for your work on this project.

We decided to do a tool chain update and get the latest eclipse and plugins. Unfortunately when we use the 0.12.1 maven integration for eclipse our multi-module projects are now broken. The maven integration is only seeing the top level module and only putting dependencies from it in the "Maven Dependencies". The modules in the projects are now all showing red X's.

If we switch back to 0.10.x maven integration it works fine.

Is there some sort of setting we are missing that needs to enabled for multi-module projects?
Previous Topic:Adding a new webapp-javaee6 or ejb-javaee6 type maven module corrupts parent POM
Next Topic:AspectJ versions
Goto Forum:
  


Current Time: Tue Jul 22 03:39:21 EDT 2014

Powered by FUDForum. Page generated in 0.01805 seconds